> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifique.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List phone numbers

> List phone numbers in your account.



## OpenAPI

````yaml /en/phone-numbers-api/api-reference/openapi-phone-numbers.json get /v1/phone-numbers
openapi: 3.0.3
info:
  title: Notifique API. Números de Telefone
  description: >-
    API to **query**, **purchase** (PIX/card orders), **regulatory**,
    **replacement**, and **configure** workspace phone numbers.


    **Scopes:** `phone_numbers:read` | `phone_numbers:update` |
    `phone_numbers:create` | `phone_numbers:delete`.


    **Authentication:** header `Authorization: Bearer sk_live_xxxxx` or
    `x-api-key: sk_live_xxxxx`.
  version: 1.0.0
servers:
  - url: https://api.notifique.dev
    description: Production
security:
  - ntfPhoneBearerAuth: []
  - ntfPhoneApiKeyHeader: []
tags:
  - name: Números de Telefone
    description: Listar, consultar, buscar disponíveis e configurar voz de entrada.
  - name: Phone Numbers
paths:
  /v1/phone-numbers:
    get:
      tags:
        - Números de Telefone
      summary: List phone numbers
      description: List phone numbers in your account.
      operationId: ntfPhone_getV1PhoneNumbers
      responses:
        '200':
          description: Lista de números.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NtfPhone_ListEnvelope'
              example:
                success: true
                data:
                  - id: clxx_phone_1
                    workspaceId: clxx_ws
                    orderId: clxx_order_1
                    phoneE164: '+5511987654321'
                    countryCode: BR
                    phoneNumberType: local
                    features:
                      - voice
                      - sms
                    status: ACTIVE
                    monthlyPriceBrlCents: 2990
                    renewsAt: '2026-07-11T00:00:00.000Z'
                    label: Atendimento SP
                    inboundVoiceAction: WEBHOOK_CONTROL
                    forwardToE164: null
                    inboundTtsText: null
                    inboundTtsVoice: null
                    recordingEnabled: false
                    createdAt: '2026-06-11T12:00:00.000Z'
                    updatedAt: '2026-06-11T12:00:00.000Z'
        '401':
          $ref: '#/components/responses/NtfPhone_Unauthorized'
        '403':
          $ref: '#/components/responses/NtfPhone_Forbidden'
components:
  schemas:
    NtfPhone_ListEnvelope:
      type: object
      required:
        - success
        - data
      properties:
        success:
          type: boolean
        data:
          type: array
          items:
            $ref: '#/components/schemas/NtfPhone_WorkspacePhoneNumber'
      example:
        success: true
        data:
          - id: clxx...
            workspaceId: clxx...
            orderId: clxx...
            phoneE164: '+5511987654321'
            countryCode: BR
            phoneNumberType: local
            features:
              - voice
              - sms
            status: ACTIVE
            monthlyPriceBrlCents: 2990
            renewsAt: '2025-02-10T14:00:00.000Z'
            label: string
            inboundVoiceAction: WEBHOOK_CONTROL
            forwardToE164: string
            inboundTtsText: string
            inboundTtsVoice: string
            recordingEnabled: true
            createdAt: '2025-02-10T14:00:00.000Z'
            updatedAt: '2025-02-10T14:00:00.000Z'
    NtfPhone_WorkspacePhoneNumber:
      type: object
      properties:
        id:
          type: string
        workspaceId:
          type: string
        orderId:
          type: string
          nullable: true
        phoneE164:
          type: string
          example: '+5511987654321'
        countryCode:
          type: string
          example: BR
        phoneNumberType:
          type: string
          example: local
        features:
          type: array
          items:
            type: string
          example:
            - voice
            - sms
        status:
          type: string
          enum:
            - ACTIVE
            - PAST_DUE
            - SUSPENDED
            - RELEASED
        monthlyPriceBrlCents:
          type: integer
          example: 2990
        renewsAt:
          type: string
          format: date-time
          nullable: true
        label:
          type: string
          nullable: true
        inboundVoiceAction:
          type: string
          enum:
            - WEBHOOK_CONTROL
            - FORWARD
            - TTS_HANGUP
            - REJECT
            - VOICEMAIL
          default: WEBHOOK_CONTROL
        forwardToE164:
          type: string
          nullable: true
        inboundTtsText:
          type: string
          nullable: true
        inboundTtsVoice:
          type: string
          nullable: true
        recordingEnabled:
          type: boolean
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      example:
        id: clxx...
        workspaceId: clxx...
        orderId: clxx...
        phoneE164: '+5511987654321'
        countryCode: BR
        phoneNumberType: local
        features:
          - voice
          - sms
        status: ACTIVE
        monthlyPriceBrlCents: 2990
        renewsAt: '2025-02-10T14:00:00.000Z'
        label: string
        inboundVoiceAction: WEBHOOK_CONTROL
        forwardToE164: string
        inboundTtsText: string
        inboundTtsVoice: string
        recordingEnabled: true
        createdAt: '2025-02-10T14:00:00.000Z'
        updatedAt: '2025-02-10T14:00:00.000Z'
    NtfPhone_ErrorEnvelope:
      type: object
      properties:
        success:
          type: boolean
          example: false
        error:
          type: string
        message:
          type: string
        code:
          type: string
          example: NOT_FOUND
      example:
        success: false
        error: string
        message: string
  responses:
    NtfPhone_Unauthorized:
      description: Missing or invalid API Key.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/NtfPhone_ErrorEnvelope'
          example:
            success: false
            error: Unauthorized
            message: Unauthorized
            code: UNAUTHORIZED
    NtfPhone_Forbidden:
      description: Escopo insuficiente.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/NtfPhone_ErrorEnvelope'
          example:
            success: false
            error: Forbidden
            message: 'Missing scope: phone_numbers:read'
            code: FORBIDDEN
  securitySchemes:
    ntfPhoneBearerAuth:
      type: http
      scheme: bearer
      description: 'API Key no formato Bearer (ex.: sk_live_...).'
    ntfPhoneApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key alternativa ao Bearer.

````